Ubuntu

Tracking bug for Firefox 9 (9.0.1) transition in Natty/Oneiric

Reported by Micah Gersten on 2011-12-19
262
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Natty
High
Micah Gersten
Oneiric
High
Micah Gersten
mozvoikko (Ubuntu)
Undecided
Unassigned
Natty
Medium
Micah Gersten
Oneiric
Medium
Micah Gersten
ubufox (Ubuntu)
Undecided
Unassigned
Natty
High
Micah Gersten
Oneiric
High
Micah Gersten

Bug Description

USN INFORMATION: http://www.ubuntu.com/usn/usn-1306-2 http://www.ubuntu.com/usn/usn-1306-1

Tracking bug for Firefox 9 and friends in Natty/Oneiric.

Micah Gersten (micahg) on 2011-12-19
visibility: private → public
Changed in firefox (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Changed in firefox (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Changed in firefox (Ubuntu Natty):
importance: Undecided → High
Changed in firefox (Ubuntu Oneiric):
importance: Undecided → High
Changed in firefox (Ubuntu Natty):
status: New → Fix Committed
Changed in firefox (Ubuntu Oneiric):
status: New → Fix Committed
Micah Gersten (micahg) on 2011-12-19
Changed in firefox (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2011-12-20
Changed in ubufox (Ubuntu):
status: New → Invalid
Changed in ubufox (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Changed in ubufox (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
Changed in ubufox (Ubuntu Oneiric):
importance: Undecided → High
status: New → Fix Committed
Changed in ubufox (Ubuntu Natty):
status: New → Fix Committed
Changed in ubufox (Ubuntu Oneiric):
status: Fix Committed → In Progress
Micah Gersten (micahg) on 2011-12-20
Changed in mozvoikko (Ubuntu):
status: New → Invalid
Changed in mozvoikko (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Changed in mozvoikko (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Changed in mozvoikko (Ubuntu Natty):
importance: Undecided → Medium
Changed in mozvoikko (Ubuntu Oneiric):
importance: Undecided → Medium
Micah Gersten (micahg) on 2011-12-20
Changed in ubufox (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in mozvoikko (Ubuntu Natty):
status: New → In Progress
Changed in mozvoikko (Ubuntu Oneiric):
status: New → In Progress
Micah Gersten (micahg) on 2011-12-23
Changed in mozvoikko (Ubuntu Natty):
status: In Progress → Fix Committed
summary: - Tracking bug for Firefox 9 transition in Natty/Oneiric
+ Tracking bug for Firefox 9 (9.0.1) transition in Natty/Oneiric
Micah Gersten (micahg) wrote :

All packages are now in natty-proposed and oneiric-proposed as well as the ubuntu-mozilla-security PPA for extended testing.

Changed in mozvoikko (Ubuntu Oneiric):
status: In Progress → Fix Committed
Micah Gersten (micahg) on 2011-12-30
tags: added: security-verification verification-needed
Micah Gersten (micahg) on 2012-01-06
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu0.11.04.4

---------------
mozvoikko (1.10.0-0ubuntu0.11.04.4) natty-security; urgency=low

  * Update for Firefox 9 (LP: #906389)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes
 -- Chris Coulson <email address hidden> Tue, 20 Dec 2011 00:19:52 -0600

Changed in mozvoikko (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu2.2

---------------
mozvoikko (1.10.0-0ubuntu2.2) oneiric-security; urgency=low

  * Update for Firefox 9 (LP: #906389)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes
 -- Chris Coulson <email address hidden> Tue, 20 Dec 2011 13:36:23 -0600

Changed in mozvoikko (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 1.0.2-0ubuntu0.11.10.1

---------------
ubufox (1.0.2-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release.
    - Support Firefox 9 and 10 (LP: #906389)
    - Fix LP: #877993 - Help -> Report a Problem does nothing
 -- Chris Coulson <email address hidden> Tue, 20 Dec 2011 00:34:31 -0600

Changed in ubufox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.9.3-0ubuntu0.11.04.1

---------------
ubufox (0.9.3-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release.
    - Support Firefox 9 and 10 (LP: #906389)
 -- Chris Coulson <email address hidden> Tue, 20 Dec 2011 00:10:05 -0600

Changed in ubufox (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 9.0.1+build1-0ubuntu0.11.10.2

---------------
firefox (9.0.1+build1-0ubuntu0.11.10.2) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_9_0_1_BUILD1)
    - see LP: #906389 for USN information

  * Update globalmenu-extension to 2.0.2
  * Install the Apport hook as a source package hook
    - rename debian/apport/firefox.py.in => debian/apport/source_firefox.py.in
    - update debian/firefox.install.in
    - update debian/rules
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_firefox.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_firefox.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/firefox-dev.links.in
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
  * Drop patches fixed upstream
    - remove debian/patches/only-add-ENABLE_JIT-to-CXXFLAGS-if-jit-is-enabled.patch
    - remove debian/patches/correctly-handle-EOF.patch
    - update debian/patches/series
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series
  * Disable the tests on powerpc due to an unknown failure
    - update debian/rules

  [ Micah Gersten <email address hidden> ]
  * Add patch from upstream to fix PowerPC FTBFS (bmo: 703534) aka
    Build failure on platforms without YARR JIT
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Wed, 28 Dec 2011 02:36:10 -0600

Changed in firefox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 9.0.1+build1-0ubuntu0.11.04.1

---------------
firefox (9.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_9_0_1_BUILD1)
    - see LP: #906389 for USN information

  * Update globalmenu-extension to 2.0.2
  * Install the Apport hook as a source package hook
    - rename debian/apport/firefox.py.in => debian/apport/source_firefox.py.in
    - update debian/firefox.install.in
    - update debian/rules
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_firefox.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_firefox.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/firefox-dev.links.in
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
  * Drop patches fixed upstream
    - remove debian/patches/only-add-ENABLE_JIT-to-CXXFLAGS-if-jit-is-enabled.patch
    - remove debian/patches/correctly-handle-EOF.patch
    - update debian/patches/series
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Add patch from upstream to fix PowerPC FTBFS (bmo: 703534) aka
    Build failure on platforms without YARR JIT
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Wed, 21 Dec 2011 13:50:27 -0600

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2012-01-06
description: updated
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Related questions